Package: org.gmetrics.metricregistry

## [Groovy] Interface MetricRegistry

- Represents a registry of metric classes, accessible by metric name

  Authors:
    Chris Mair

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Collection<String>` | `getAllMetricNames()`
    `` | `Class<Metric>` | `getMetricClass(String metricName)`

- - ### Method Detail

    - #### Collection<String> getAllMetricNames()

    - #### Class<Metric> getMetricClass(String metricName)